Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class ICardTO

    java.lang.Object
      org.eclipse.higgins.ics.ws.wsdl.ICardTO

All Implemented Interfaces:
  Serializable

public class ICardTO
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`ICardTO()`
`ICardTO(CardExtensionTO[] cardExtensions, String cuid, boolean deleteable, Calendar expiredTime, String id, byte[] image, String imageType, String issuerName, String name, PropertyTO[] properties, boolean selfIssued, STSPolicyTO stsPolicy, UITokenServiceCredentialTO[] tokenServiceCredentials, String type)`

Method Summary
`boolean` | `equals(Object obj)`
`CardExtensionTO[]` | `getCardExtensions()` Gets the cardExtensions value for this ICardTO.
`String` | `getCuid()` Gets the cuid value for this ICardTO.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`Calendar` | `getExpiredTime()` Gets the expiredTime value for this ICardTO.
`String` | `getId()` Gets the id value for this ICardTO.
`byte[]` | `getImage()` Gets the image value for this ICardTO.
`String` | `getImageType()` Gets the imageType value for this ICardTO.
`String` | `getIssuerName()` Gets the issuerName value for this ICardTO.
`String` | `getName()` Gets the name value for this ICardTO.
`PropertyTO[]` | `getProperties()` Gets the properties value for this ICardTO.
`static org.apache.axis.encoding.Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`STSPolicyTO` | `getStsPolicy()` Gets the stsPolicy value for this ICardTO.
`UITokenServiceCredentialTO[]` | `getTokenServiceCredentials()` Gets the tokenServiceCredentials value for this ICardTO.
`String` | `getType()` Gets the type value for this ICardTO.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`boolean` | `isDeleteable()` Gets the deleteable value for this ICardTO.
`boolean` | `isSelfIssued()` Gets the selfIssued value for this ICardTO.
`void` | `setCardExtensions(CardExtensionTO[] cardExtensions)` Sets the cardExtensions value for this ICardTO.
`void` | `setCuid(String cuid)` Sets the cuid value for this ICardTO.
`void` | `setDeleteable(boolean deleteable)` Sets the deleteable value for this ICardTO.
`void` | `setExpiredTime(Calendar expiredTime)` Sets the expiredTime value for this ICardTO.
`void` | `setId(String id)` Sets the id value for this ICardTO.
`void` | `setImage(byte[] image)` Sets the image value for this ICardTO.
`void` | `setImageType(String imageType)` Sets the imageType value for this ICardTO.
`void` | `setIssuerName(String issuerName)` Sets the issuerName value for this ICardTO.
`void` | `setName(String name)` Sets the name value for this ICardTO.
`void` | `setProperties(PropertyTO[] properties)` Sets the properties value for this ICardTO.
`void` | `setSelfIssued(boolean selfIssued)` Sets the selfIssued value for this ICardTO.
`void` | `setStsPolicy(STSPolicyTO stsPolicy)` Sets the stsPolicy value for this ICardTO.
`void` | `setTokenServiceCredentials(UITokenServiceCredentialTO[] tokenServiceCredentials)` Sets the tokenServiceCredentials value for this ICardTO.
`void` | `setType(String type)` Sets the type value for this ICardTO.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ICardTO

    public ICardTO()

### ICardTO

    public ICardTO(CardExtensionTO[] cardExtensions,
                   String cuid,
                   boolean deleteable,
                   Calendar expiredTime,
                   String id,
                   byte[] image,
                   String imageType,
                   String issuerName,
                   String name,
                   PropertyTO[] properties,
                   boolean selfIssued,
                   STSPolicyTO stsPolicy,
                   UITokenServiceCredentialTO[] tokenServiceCredentials,
                   String type)

Method Detail

### getCardExtensions

    public CardExtensionTO[] getCardExtensions()

  Gets the cardExtensions value for this ICardTO.

  Returns:
    cardExtensions

### setCardExtensions

    public void setCardExtensions(CardExtensionTO[] cardExtensions)

  Sets the cardExtensions value for this ICardTO.

  Parameters:
    `cardExtensions` -

### getCuid

    public String getCuid()

  Gets the cuid value for this ICardTO.

  Returns:
    cuid

### setCuid

    public void setCuid(String cuid)

  Sets the cuid value for this ICardTO.

  Parameters:
    `cuid` -

### isDeleteable

    public boolean isDeleteable()

  Gets the deleteable value for this ICardTO.

  Returns:
    deleteable

### setDeleteable

    public void setDeleteable(boolean deleteable)

  Sets the deleteable value for this ICardTO.

  Parameters:
    `deleteable` -

### getExpiredTime

    public Calendar getExpiredTime()

  Gets the expiredTime value for this ICardTO.

  Returns:
    expiredTime

### setExpiredTime

    public void setExpiredTime(Calendar expiredTime)

  Sets the expiredTime value for this ICardTO.

  Parameters:
    `expiredTime` -

### getId

    public String getId()

  Gets the id value for this ICardTO.

  Returns:
    id

### setId

    public void setId(String id)

  Sets the id value for this ICardTO.

  Parameters:
    `id` -

### getImage

    public byte[] getImage()

  Gets the image value for this ICardTO.

  Returns:
    image

### setImage

    public void setImage(byte[] image)

  Sets the image value for this ICardTO.

  Parameters:
    `image` -

### getImageType

    public String getImageType()

  Gets the imageType value for this ICardTO.

  Returns:
    imageType

### setImageType

    public void setImageType(String imageType)

  Sets the imageType value for this ICardTO.

  Parameters:
    `imageType` -

### getIssuerName

    public String getIssuerName()

  Gets the issuerName value for this ICardTO.

  Returns:
    issuerName

### setIssuerName

    public void setIssuerName(String issuerName)

  Sets the issuerName value for this ICardTO.

  Parameters:
    `issuerName` -

### getName

    public String getName()

  Gets the name value for this ICardTO.

  Returns:
    name

### setName

    public void setName(String name)

  Sets the name value for this ICardTO.

  Parameters:
    `name` -

### getProperties

    public PropertyTO[] getProperties()

  Gets the properties value for this ICardTO.

  Returns:
    properties

### setProperties

    public void setProperties(PropertyTO[] properties)

  Sets the properties value for this ICardTO.

  Parameters:
    `properties` -

### isSelfIssued

    public boolean isSelfIssued()

  Gets the selfIssued value for this ICardTO.

  Returns:
    selfIssued

### setSelfIssued

    public void setSelfIssued(boolean selfIssued)

  Sets the selfIssued value for this ICardTO.

  Parameters:
    `selfIssued` -

### getStsPolicy

    public STSPolicyTO getStsPolicy()

  Gets the stsPolicy value for this ICardTO.

  Returns:
    stsPolicy

### setStsPolicy

    public void setStsPolicy(STSPolicyTO stsPolicy)

  Sets the stsPolicy value for this ICardTO.

  Parameters:
    `stsPolicy` -

### getTokenServiceCredentials

    public UITokenServiceCredentialTO[] getTokenServiceCredentials()

  Gets the tokenServiceCredentials value for this ICardTO.

  Returns:
    tokenServiceCredentials

### setTokenServiceCredentials

    public void setTokenServiceCredentials(UITokenServiceCredentialTO[] tokenServiceCredentials)

  Sets the tokenServiceCredentials value for this ICardTO.

  Parameters:
    `tokenServiceCredentials` -

### getType

    public String getType()

  Gets the type value for this ICardTO.

  Returns:
    type

### setType

    public void setType(String type)

  Sets the type value for this ICardTO.

  Parameters:
    `type` -

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(String mechType,
                                                                    Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(String mechType,
                                                                        Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD